Bug 788794 - Normal user can still see obsolete projects in project search result
Normal user can still see obsolete projects in project search result
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.5-SNAPSHOT
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Carlos Munoz
Alex Eng
:
Depends On:
Blocks: zanata-1.5.0
  Show dependency treegraph
 
Reported: 2012-02-08 20:11 EST by Ding-Yi Chen
Modified: 2012-03-06 19:07 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 19:07:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-02-08 20:11:55 EST
Description of problem:
Normal user can still see obsolete projects by deliberately search for it. 

Version-Release number of selected component (if applicable):
Zanata version 1.5-SNAPSHOT (20120209-0922)

How reproducible:
Always

Steps to Reproduce:
0. Sign in as an admin
1. Create a project TestObsolete
2. Change its status to obsolete
3. Sign out, and Sign in as an ordinary user.
4. Type "TestObsolete" in project search field.
  
Actual results:
Project "TestObsolete" is still visible.
Click on it, then server returns:

  Error

    * Record not found 



Expected results:
Project "TestObsolete" should be invisible for ordinary user.
Comment 1 Carlos Munoz 2012-02-10 00:58:14 EST
Added filtering of obsolete projects on the project search results. Admin users can still elect to see these projects when searching.

Also changed the way the project link is displayed on the results, to be in line with the project status (same way it's being done in the main project list).

https://github.com/zanata/zanata/commit/65d3be042417f05f4462a8f94752bb9f48c4a4ee
Comment 2 Alex Eng 2012-02-20 18:06:39 EST
VERIFIED
Comment 3 Alex Eng 2012-02-20 18:19:45 EST
VERIFIED in Zanata version 1.5.0-alpha-2-SNAPSHOT (20120220-1431). 

Change display condition based on 'view-obsolete' in rules file. 

https://github.com/zanata/zanata/commit/db0ab9f310172d97a48d2e97a08e6cc0ebde9520

Note You need to log in before you can comment on or make changes to this bug.